<script setup>
const props = defineProps(["text", "link"]);
</script>

<template>
  <NuxtLink :to="link" class="btn-secondary text-cta"
    ><span class="w-max">{{ text }} </span></NuxtLink
  >
</template>

<style>
.btn-secondary {
  @apply text-center m-0 p-[14px];
  color: var(--brand-black);
  border: 1px solid;
  border-color: var(--brand-grey);
  transition: all 0.3s ease-out;
}

.btn-secondary:hover {
  background-color: var(--brand-accent);
  border: 1px solid var(--primary);
}
</style>
